Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Class XSLStylesheet

    java.lang.Object
      |
      +--oracle.xml.parser.v2.XSLStylesheet

All Implemented Interfaces:
  Templates

public class XSLStylesheet
extends java.lang.Object
implements Templates

The class holds XSL stylesheet information such as templates, keys, variables, and attribute sets. The same stylesheet, once constructed, can be used to transform multiple XML documents.

Constructor Summary
`XSLStylesheet()` Deprecated. Use XSLProcessor.newXSLStylesheet instead
`XSLStylesheet(java.io.InputStream xsl, java.net.URL ref)` Deprecated. Use XSLProcessor.newXSLStylesheet instead
`XSLStylesheet(java.io.Reader xsl, java.net.URL ref)` Deprecated. Use XSLProcessor.newXSLStylesheet instead
`XSLStylesheet(java.net.URL xsl, java.net.URL ref)` Deprecated. Use XSLProcessor.newXSLStylesheet instead
`XSLStylesheet(XMLDocument xsl, java.net.URL ref)` Deprecated. Use XSLProcessor.newXSLStylesheet instead

Method Summary
`void` | `error(java.lang.String msg, int errId)` Deprecated.
`void` | `error(XSLNode dnode, java.lang.String msg, int errId)` Deprecated.
`void` | `execute(XSLTContext context)` Deprecated. should use XSLProcessor.processXSL function
`java.lang.String` | `getOutputEncoding()` Get the value of the encoding specified in `xsl:output`
`java.lang.String` | `getOutputMediaType()` Get the value of the media-type specified in `xsl:output`
`java.util.Properties` | `getOutputProperties()` Gets the output properties of the stylesheet
`Transformer` | `newTransformer()` Create a new Transformer for XSL Transformation
`void` | `removeParam(java.lang.String name)` Deprecated. use XSLProcessor.removeParam to ensure thread safety
`void` | `resetParams()` Deprecated. use XSLProcessor.resetParams to ensure thread safety
`void` | `setParam(java.lang.String name, java.lang.String value)` Deprecated. use XSLProcessor.setParams to ensure thread safety

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLStylesheet

    public XSLStylesheet()
                  throws XSLException

  Deprecated. Use XSLProcessor.newXSLStylesheet instead
  Constructs an empty XSLStylesheet
Throws:
  `XSLException` - on error.

### XSLStylesheet

    public XSLStylesheet(XMLDocument xsl,
                         java.net.URL ref)
                  throws XSLException

  Deprecated. Use XSLProcessor.newXSLStylesheet instead
  Constructs an XSLStylesheet using the given XMLDocument
Parameters:
  `xsl` - XSL input as a DOM Tree
  `ref` - Reference URL for include, import
Throws:
  `XSLException` - on error.

### XSLStylesheet

    public XSLStylesheet(java.io.InputStream xsl,
                         java.net.URL ref)
                  throws XSLException

  Deprecated. Use XSLProcessor.newXSLStylesheet instead
  Constructs an XSLStylesheet using the given Inputstream
Parameters:
  `xsl` - XSL input as an Inputstream
  `ref` - Reference URL for include, import and external entities
Throws:
  `XSLException` - on error.

### XSLStylesheet

    public XSLStylesheet(java.net.URL xsl,
                         java.net.URL ref)
                  throws XSLException

  Deprecated. Use XSLProcessor.newXSLStylesheet instead
  Constructs an XSLStylesheet using the given URL
Parameters:
  `xsl` - XSL input as a URL
  `ref` - Reference URL for include, import and external entities
Throws:
  `XSLException` - on error.

### XSLStylesheet

    public XSLStylesheet(java.io.Reader xsl,
                         java.net.URL ref)
                  throws XSLException

  Deprecated. Use XSLProcessor.newXSLStylesheet instead
  Constructs an XSLStylesheet using the given Reader
Parameters:
  `xsl` - XSL input as a Reader
  `ref` - Reference URL for include, import and external entities
Throws:
  `XSLException` - on error.

Method Detail

### getOutputMediaType

    public java.lang.String getOutputMediaType()

  Get the value of the media-type specified in `xsl:output`
  Returns:
    the media-type

### getOutputEncoding

    public java.lang.String getOutputEncoding()

  Get the value of the encoding specified in `xsl:output`
  Returns:
    the encoding

### removeParam

    public void removeParam(java.lang.String name)
                     throws XSLException

  Deprecated. use XSLProcessor.removeParam to ensure thread safety
  Removes the value of a top-level stylesheet parameter.
  Parameters:
    `name` - parameter name
  Throws:
    `XSLException` - on error

### resetParams

    public void resetParams()
                     throws XSLException

  Deprecated. use XSLProcessor.resetParams to ensure thread safety
  Resets all the params set.
  Throws:
    `XSLException` - on error

### setParam

    public void setParam(java.lang.String name,
                         java.lang.String value)
                  throws XSLException

  Deprecated. use XSLProcessor.setParams to ensure thread safety
  Sets the value of a top-level stylesheet parameter. The parameter value is expected to be a valid XPath expression (note that string literal values would therefore have to be explicitly quoted).
  Parameters:
    `name` - parameter name
    `value` - parameter value as an XPath expression
  Throws:
    `XSLException` - on error

### execute

    public void execute(XSLTContext context)
                 throws XSLException

  Deprecated. should use XSLProcessor.processXSL function
  Start the xsl processing.
  Parameters:
    `context` - XSLTContext used for XSL processing
  Throws:
    `XSLException` - on error

### error

    public void error(java.lang.String msg,
                      int errId)
               throws XSLException

  Deprecated.
    `XSLException`

### error

    public void error(XSLNode dnode,
                      java.lang.String msg,
                      int errId)
               throws XSLException

  Deprecated.
    `XSLException`

### getOutputProperties

    public java.util.Properties getOutputProperties()

  Gets the output properties of the stylesheet
  Specified by:
    `getOutputProperties` in interface `Templates`
  Returns:
    the output properties

### newTransformer

    public Transformer newTransformer()

  Create a new Transformer for XSL Transformation
  Specified by:
    `newTransformer` in interface `Templates`
  Returns:
    Transformer object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.